# Changelog Backuppy

## [0.8.1] - 2021-05-10
### Fixed
- CLI-mode: Show text "Programm interrupted by user." instead of error message when Ctrl+C was pressed.
- CLI-mode: Removed obsolete trace messages

## [0.8] - 2021-05-07
### Added
- GUI-mode: Introduce "Browse"-button on directory-selection dialogs
- GUI-mode: Installing necessary PySide2 package if not existing

## [0.7] - 2021-05-06
### Added
- Reworked "install.sh" to call "install.py"
- Launches graphical installer when called with "--gui" option: "install.sh --gui"

## [0.6] - 2021-05-06
### Added
- Write alias to Backuppy.sh into .bashrc/.zshrc only if not already existing

## [0.5.2] - 2021-05-05
### Added
- Now fully functional as the shell version

### Changed
- Updated "README.md" concerning installation and usage
- Changed filename "Changelog.MD" to "CHANGELOG.md"

### Fixed
- Fixed problem with the Bash/ZSH config

## [0.5.1] - 2021-05-04
### Changed
- Use E-MAIL constant

## [0.5] - 2021-05-04
### Added
- Graphical installer based on Python3 with PySide2 GUI framework (Qt-bindings for Python)
- Changelog.MD

### Changed
- Directory ".languages" renamed to "languages" due to python module import syntax constraints
- Files "english.txt" and "german.txt" renamed to .-py due to follow the python filename schema

# Changelog Backuppy

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
